searchData={"items":[{"type":"module","title":"InetCidr","doc":"[![Module Version](https://img.shields.io/hexpm/v/inet_cidr.svg)](https://hex.pm/packages/inet_cidr)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/inet_cidr/)\n[![Total Download](https://img.shields.io/hexpm/dt/inet_cidr.svg)](https://hex.pm/packages/inet_cidr)\n[![License](https://img.shields.io/hexpm/l/inet_cidr.svg)](https://github.com/cobenian/inet_cidr/blob/master/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/cobenian/inet_cidr.svg)](https://github.com/cobenian/inet_cidr/commits/master)\n\nClassless Inter-Domain Routing (CIDR) library for Elixir that is compatible\nwith Erlang's `:inet` and supports both IPv4 and IPv6.","ref":"InetCidr.html"},{"type":"module","title":"Install - InetCidr","doc":"Add `:inet_cidr` to your list of dependencies in `mix.exs`:\n\n```elixir\ndefp deps do\n  [\n    {:inet_cidr, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"InetCidr.html#module-install"},{"type":"module","title":"Usage - InetCidr","doc":"#","ref":"InetCidr.html#module-usage"},{"type":"module","title":"Parsing a CIDR string (IPv4 or IPv6) - InetCidr","doc":"```elixir\niex> InetCidr.parse_cidr(\"192.168.0.0/16\")\n{:ok, {{192,168,0,0}, {192,168,255,255}, 16}}\n\niex> InetCidr.parse_cidr!(\"192.168.0.0/16\")\n{{192,168,0,0}, {192,168,255,255}, 16}\n\niex> InetCidr.parse_cidr(\"2001:abcd::/32\")\n{:ok, {{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}}\n\niex> InetCidr.parse_cidr!(\"2001:abcd::/32\")\n{{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}\n```\n\n#","ref":"InetCidr.html#module-parsing-a-cidr-string-ipv4-or-ipv6"},{"type":"module","title":"Printing a CIDR block to string - InetCidr","doc":"```elixir\niex> \"192.168.0.0/16\" |> InetCidr.parse_cidr! |> InetCidr.to_string\n\"192.168.0.0/16\"\n\niex> \"2001:abcd::/32\" |> InetCidr.parse_cidr! |> InetCidr.to_string\n\"2001:ABCD::/32\"\n```\n\n#","ref":"InetCidr.html#module-printing-a-cidr-block-to-string"},{"type":"module","title":"Check whether a CIDR block contains an IP address - InetCidr","doc":"There are also `parse_cidr/1` and `parse_address/1` versions that return `{:ok,_cidr}` and `{:error,_msg}` tuples.\n\n##","ref":"InetCidr.html#module-check-whether-a-cidr-block-contains-an-ip-address"},{"type":"module","title":"IPv4 - InetCidr","doc":"```elixir\niex> cidr = InetCidr.parse_cidr!(\"192.168.0.0/16\")\n{{192,168,0,0}, {192,168,255,255}, 16}\n\niex> address1 = InetCidr.parse_address!(\"192.168.15.20\")\n{192,168,15,20}\n\niex> InetCidr.contains?(cidr, address1)\ntrue\n\niex> address2 = InetCidr.parse_address!(\"10.168.15.20\")\n{10,168,15,20}\n\niex> InetCidr.contains?(cidr, address2)\nfalse\n```\n\n##","ref":"InetCidr.html#module-ipv4"},{"type":"module","title":"IPv6 - InetCidr","doc":"```elixir\niex> cidr = InetCidr.parse_cidr!(\"2001:abcd::/32\")\n{{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}\n\niex> address1 = InetCidr.parse_address!(\"2001:abcd::\")\n{8193, 43981, 0, 0, 0, 0, 0, 0}\n\niex> InetCidr.contains?(cidr, address1)\ntrue\n\niex> address2 = InetCidr.parse_address!(\"abcd:2001::\")\n{43981, 8193, 0, 0, 0, 0, 0, 0}\n\niex> InetCidr.contains?(cidr, address2)\nfalse\n```\n\n#","ref":"InetCidr.html#module-ipv6"},{"type":"module","title":"Get the end of a CIDR block - InetCidr","doc":"```elixir\niex> InetCidr.calc_end_address({192, 168, 0, 0}, 16)\n{:ok, {192, 168, 255, 255}}\n\niex> InetCidr.calc_end_address!({192, 168, 0, 0}, 16)\n{192, 168, 255, 255}\n```","ref":"InetCidr.html#module-get-the-end-of-a-cidr-block"},{"type":"module","title":"License - InetCidr","doc":"Copyright (c) 2015-2024 Cobenian and Bryan Weber\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"InetCidr.html#module-license"},{"type":"function","title":"InetCidr.address_count/2","doc":"The number of IP addresses included in the CIDR block.","ref":"InetCidr.html#address_count/2"},{"type":"function","title":"InetCidr.bit_count/1","doc":"The number of bits in the address family (32 for IPv4 and 128 for IPv6)","ref":"InetCidr.html#bit_count/1"},{"type":"function","title":"InetCidr.calc_end_address/2","doc":"Calculates the end of a CIDR block given the start address (tuple) and prefix length.\n\nReturns an `{:ok, end_address}` tuple if the start address and prefix length are valid.\nReturns {:error, reason} if the start address or prefix length are invalid.","ref":"InetCidr.html#calc_end_address/2"},{"type":"function","title":"InetCidr.calc_end_address!/2","doc":"Calculates the end of a CIDR block given the start address (tuple) and prefix length.\n\nAssumes valid start address and prefix length. Raises an exception if either is invalid.","ref":"InetCidr.html#calc_end_address!/2"},{"type":"function","title":"InetCidr.contains?/2","doc":"Returns true if the CIDR block contains the IP address, false otherwise.","ref":"InetCidr.html#contains?/2"},{"type":"function","title":"InetCidr.parse/2","doc":"Parses a string containing either an IPv4 or IPv6 CIDR block using the\nnotation like `192.168.0.0/16` or `2001:abcd::/32`. It returns a tuple with the\nstart address, end address and cidr length.\n\nYou can optionally pass true as the second argument to adjust the start `IP`\naddress if it is not consistent with the cidr length.\nFor example, `192.168.0.0/0` would be adjusted to have a start IP of `0.0.0.0`\ninstead of `192.168.0.0`. The default behavior is to be more strict and raise\nan exception when this occurs.","ref":"InetCidr.html#parse/2"},{"type":"function","title":"InetCidr.parse_address/1","doc":"Convenience function that takes an IPv4 or IPv6 address as a string and\nreturns the address.  \n\nIt returns an `{:ok, address}` tuple if the string contains a valid IP address.\n\nIt returns an `{:error, reason}` tuple if the string\ndoes not contain a valid IP address.","ref":"InetCidr.html#parse_address/1"},{"type":"function","title":"InetCidr.parse_address!/1","doc":"Convenience function that takes an IPv4 or IPv6 address as a string and\nreturns the address.  It raises an exception if the string does not contain\na valid IP address.","ref":"InetCidr.html#parse_address!/1"},{"type":"function","title":"InetCidr.parse_cidr/2","doc":"Parses a string containing either an IPv4 or IPv6 CIDR block using the\nnotation like `192.168.0.0/16` or `2001:abcd::/32`. \n\nYou can optionally pass true as the second argument to adjust the start `IP`\naddress if it is not consistent with the cidr length.\nFor example, `192.168.0.0/0` would be adjusted to have a start IP of `0.0.0.0`\ninstead of `192.168.0.0`. \n\nIt returns an `{:ok, {start address, end address, cidr length}}` tuple if the string contains a valid IP address.\n\nIt returns an `{:error, reason}` tuple if the it cannot be parsed.","ref":"InetCidr.html#parse_cidr/2"},{"type":"function","title":"InetCidr.parse_cidr!/2","doc":"Parses a string containing either an IPv4 or IPv6 CIDR block using the\nnotation like `192.168.0.0/16` or `2001:abcd::/32`. It returns a tuple with the\nstart address, end address and cidr length.\n\nYou can optionally pass true as the second argument to adjust the start `IP`\naddress if it is not consistent with the cidr length.\nFor example, `192.168.0.0/0` would be adjusted to have a start IP of `0.0.0.0`\ninstead of `192.168.0.0`. The default behavior is to be more strict and raise\nan exception when this occurs.","ref":"InetCidr.html#parse_cidr!/2"},{"type":"function","title":"InetCidr.to_string/1","doc":"Prints the CIDR block to a string such that it can be parsed back to a CIDR\nblock by this module.","ref":"InetCidr.html#to_string/1"},{"type":"function","title":"InetCidr.v4?/1","doc":"Returns true if the value passed in is an IPv4 address, false otherwise.","ref":"InetCidr.html#v4?/1"},{"type":"function","title":"InetCidr.v6?/1","doc":"Returns true if the value passed in is an IPv6 address, false otherwise.","ref":"InetCidr.html#v6?/1"},{"type":"extras","title":"InetCidr","doc":"# InetCidr\n\n<!-- MDOC !-->\n\n[![Module Version](https://img.shields.io/hexpm/v/inet_cidr.svg)](https://hex.pm/packages/inet_cidr)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/inet_cidr/)\n[![Total Download](https://img.shields.io/hexpm/dt/inet_cidr.svg)](https://hex.pm/packages/inet_cidr)\n[![License](https://img.shields.io/hexpm/l/inet_cidr.svg)](https://github.com/cobenian/inet_cidr/blob/master/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/cobenian/inet_cidr.svg)](https://github.com/cobenian/inet_cidr/commits/master)\n\nClassless Inter-Domain Routing (CIDR) library for Elixir that is compatible\nwith Erlang's `:inet` and supports both IPv4 and IPv6.","ref":"readme.html"},{"type":"extras","title":"Install - InetCidr","doc":"Add `:inet_cidr` to your list of dependencies in `mix.exs`:\n\n```elixir\ndefp deps do\n  [\n    {:inet_cidr, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"readme.html#install"},{"type":"extras","title":"Usage - InetCidr","doc":"#","ref":"readme.html#usage"},{"type":"extras","title":"Parsing a CIDR string (IPv4 or IPv6) - InetCidr","doc":"```elixir\niex> InetCidr.parse_cidr(\"192.168.0.0/16\")\n{:ok, {{192,168,0,0}, {192,168,255,255}, 16}}\n\niex> InetCidr.parse_cidr!(\"192.168.0.0/16\")\n{{192,168,0,0}, {192,168,255,255}, 16}\n\niex> InetCidr.parse_cidr(\"2001:abcd::/32\")\n{:ok, {{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}}\n\niex> InetCidr.parse_cidr!(\"2001:abcd::/32\")\n{{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}\n```\n\n#","ref":"readme.html#parsing-a-cidr-string-ipv4-or-ipv6"},{"type":"extras","title":"Printing a CIDR block to string - InetCidr","doc":"```elixir\niex> \"192.168.0.0/16\" |> InetCidr.parse_cidr! |> InetCidr.to_string\n\"192.168.0.0/16\"\n\niex> \"2001:abcd::/32\" |> InetCidr.parse_cidr! |> InetCidr.to_string\n\"2001:ABCD::/32\"\n```\n\n#","ref":"readme.html#printing-a-cidr-block-to-string"},{"type":"extras","title":"Check whether a CIDR block contains an IP address - InetCidr","doc":"There are also `parse_cidr/1` and `parse_address/1` versions that return `{:ok,_cidr}` and `{:error,_msg}` tuples.\n\n##","ref":"readme.html#check-whether-a-cidr-block-contains-an-ip-address"},{"type":"extras","title":"IPv4 - InetCidr","doc":"```elixir\niex> cidr = InetCidr.parse_cidr!(\"192.168.0.0/16\")\n{{192,168,0,0}, {192,168,255,255}, 16}\n\niex> address1 = InetCidr.parse_address!(\"192.168.15.20\")\n{192,168,15,20}\n\niex> InetCidr.contains?(cidr, address1)\ntrue\n\niex> address2 = InetCidr.parse_address!(\"10.168.15.20\")\n{10,168,15,20}\n\niex> InetCidr.contains?(cidr, address2)\nfalse\n```\n\n##","ref":"readme.html#ipv4"},{"type":"extras","title":"IPv6 - InetCidr","doc":"```elixir\niex> cidr = InetCidr.parse_cidr!(\"2001:abcd::/32\")\n{{8193, 43981, 0, 0, 0, 0, 0, 0}, {8193, 43981, 65535, 65535, 65535, 65535, 65535, 65535}, 32}\n\niex> address1 = InetCidr.parse_address!(\"2001:abcd::\")\n{8193, 43981, 0, 0, 0, 0, 0, 0}\n\niex> InetCidr.contains?(cidr, address1)\ntrue\n\niex> address2 = InetCidr.parse_address!(\"abcd:2001::\")\n{43981, 8193, 0, 0, 0, 0, 0, 0}\n\niex> InetCidr.contains?(cidr, address2)\nfalse\n```\n\n#","ref":"readme.html#ipv6"},{"type":"extras","title":"Get the end of a CIDR block - InetCidr","doc":"```elixir\niex> InetCidr.calc_end_address({192, 168, 0, 0}, 16)\n{:ok, {192, 168, 255, 255}}\n\niex> InetCidr.calc_end_address!({192, 168, 0, 0}, 16)\n{192, 168, 255, 255}\n```","ref":"readme.html#get-the-end-of-a-cidr-block"},{"type":"extras","title":"License - InetCidr","doc":"Copyright (c) 2015-2024 Cobenian and Bryan Weber\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"LICENSE","doc":"Apache License\n                           Version 2.0, January 2004\n                        http://www.apache.org/licenses/\n\n   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n\n      \"License\" shall mean the terms and conditions for use, reproduction,\n      and distribution as defined by Sections 1 through 9 of this document.\n\n      \"Licensor\" shall mean the copyright owner or entity authorized by\n      the copyright owner that is granting the License.\n\n      \"Legal Entity\" shall mean the union of the acting entity and all\n      other entities that control, are controlled by, or are under common\n      control with that entity. For the purposes of this definition,\n      \"control\" means (i) the power, direct or indirect, to cause the\n      direction or management of such entity, whether by contract or\n      otherwise, or (ii) ownership of fifty percent (50%) or more of the\n      outstanding shares, or (iii) beneficial ownership of such entity.\n\n      \"You\" (or \"Your\") shall mean an individual or Legal Entity\n      exercising permissions granted by this License.\n\n      \"Source\" form shall mean the preferred form for making modifications,\n      including but not limited to software source code, documentation\n      source, and configuration files.\n\n      \"Object\" form shall mean any form resulting from mechanical\n      transformation or translation of a Source form, including but\n      not limited to compiled object code, generated documentation,\n      and conversions to other media types.\n\n      \"Work\" shall mean the work of authorship, whether in Source or\n      Object form, made available under the License, as indicated by a\n      copyright notice that is included in or attached to the work\n      (an example is provided in the Appendix below).\n\n      \"Derivative Works\" shall mean any work, whether in Source or Object\n      form, that is based on (or derived from) the Work and for which the\n      editorial revisions, annotations, elaborations, or other modifications\n      represent, as a whole, an original work of authorship. For the purposes\n      of this License, Derivative Works shall not include works that remain\n      separable from, or merely link (or bind by name) to the interfaces of,\n      the Work and Derivative Works thereof.\n\n      \"Contribution\" shall mean any work of authorship, including\n      the original version of the Work and any modifications or additions\n      to that Work or Derivative Works thereof, that is intentionally\n      submitted to Licensor for inclusion in the Work by the copyright owner\n      or by an individual or Legal Entity authorized to submit on behalf of\n      the copyright owner. For the purposes of this definition, \"submitted\"\n      means any form of electronic, verbal, or written communication sent\n      to the Licensor or its representatives, including but not limited to\n      communication on electronic mailing lists, source code control systems,\n      and issue tracking systems that are managed by, or on behalf of, the\n      Licensor for the purpose of discussing and improving the Work, but\n      excluding communication that is conspicuously marked or otherwise\n      designated in writing by the copyright owner as \"Not a Contribution.\"\n\n      \"Contributor\" shall mean Licensor and any individual or Legal Entity\n      on behalf of whom a Contribution has been received by Licensor and\n      subsequently incorporated within the Work.\n\n   2. Grant of Copyright License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      copyright license to reproduce, prepare Derivative Works of,\n      publicly display, publicly perform, sublicense, and distribute the\n      Work and such Derivative Works in Source or Object form.\n\n   3. Grant of Patent License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      (except as stated in this section) patent license to make, have made,\n      use, offer to sell, sell, import, and otherwise transfer the Work,\n      where such license applies only to those patent claims licensable\n      by such Contributor that are necessarily infringed by their\n      Contribution(s) alone or by combination of their Contribution(s)\n      with the Work to which such Contribution(s) was submitted. If You\n      institute patent litigation against any entity (including a\n      cross-claim or counterclaim in a lawsuit) alleging that the Work\n      or a Contribution incorporated within the Work constitutes direct\n      or contributory patent infringement, then any patent licenses\n      granted to You under this License for that Work shall terminate\n      as of the date such litigation is filed.\n\n   4. Redistribution. You may reproduce and distribute copies of the\n      Work or Derivative Works thereof in any medium, with or without\n      modifications, and in Source or Object form, provided that You\n      meet the following conditions:\n\n      (a) You must give any other recipients of the Work or\n          Derivative Works a copy of this License; and\n\n      (b) You must cause any modified files to carry prominent notices\n          stating that You changed the files; and\n\n      (c) You must retain, in the Source form of any Derivative Works\n          that You distribute, all copyright, patent, trademark, and\n          attribution notices from the Source form of the Work,\n          excluding those notices that do not pertain to any part of\n          the Derivative Works; and\n\n      (d) If the Work includes a \"NOTICE\" text file as part of its\n          distribution, then any Derivative Works that You distribute must\n          include a readable copy of the attribution notices contained\n          within such NOTICE file, excluding those notices that do not\n          pertain to any part of the Derivative Works, in at least one\n          of the following places: within a NOTICE text file distributed\n          as part of the Derivative Works; within the Source form or\n          documentation, if provided along with the Derivative Works; or,\n          within a display generated by the Derivative Works, if and\n          wherever such third-party notices normally appear. The contents\n          of the NOTICE file are for informational purposes only and\n          do not modify the License. You may add Your own attribution\n          notices within Derivative Works that You distribute, alongside\n          or as an addendum to the NOTICE text from the Work, provided\n          that such additional attribution notices cannot be construed\n          as modifying the License.\n\n      You may add Your own copyright statement to Your modifications and\n      may provide additional or different license terms and conditions\n      for use, reproduction, or distribution of Your modifications, or\n      for any such Derivative Works as a whole, provided Your use,\n      reproduction, and distribution of the Work otherwise complies with\n      the conditions stated in this License.\n\n   5. Submission of Contributions. Unless You explicitly state otherwise,\n      any Contribution intentionally submitted for inclusion in the Work\n      by You to the Licensor shall be under the terms and conditions of\n      this License, without any additional terms or conditions.\n      Notwithstanding the above, nothing herein shall supersede or modify\n      the terms of any separate license agreement you may have executed\n      with Licensor regarding such Contributions.\n\n   6. Trademarks. This License does not grant permission to use the trade\n      names, trademarks, service marks, or product names of the Licensor,\n      except as required for reasonable and customary use in describing the\n      origin of the Work and reproducing the content of the NOTICE file.\n\n   7. Disclaimer of Warranty. Unless required by applicable law or\n      agreed to in writing, Licensor provides the Work (and each\n      Contributor provides its Contributions) on an \"AS IS\" BASIS,\n      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n      implied, including, without limitation, any warranties or conditions\n      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A\n      PARTICULAR PURPOSE. You are solely responsible for determining the\n      appropriateness of using or redistributing the Work and assume any\n      risks associated with Your exercise of permissions under this License.\n\n   8. Limitation of Liability. In no event and under no legal theory,\n      whether in tort (including negligence), contract, or otherwise,\n      unless required by applicable law (such as deliberate and grossly\n      negligent acts) or agreed to in writing, shall any Contributor be\n      liable to You for damages, including any direct, indirect, special,\n      incidental, or consequential damages of any character arising as a\n      result of this License or out of the use or inability to use the\n      Work (including but not limited to damages for loss of goodwill,\n      work stoppage, computer failure or malfunction, or any and all\n      other commercial damages or losses), even if such Contributor\n      has been advised of the possibility of such damages.\n\n   9. Accepting Warranty or Additional Liability. While redistributing\n      the Work or Derivative Works thereof, You may choose to offer,\n      and charge a fee for, acceptance of support, warranty, indemnity,\n      or other liability obligations and/or rights consistent with this\n      License. However, in accepting such obligations, You may act only\n      on Your own behalf and on Your sole responsibility, not on behalf\n      of any other Contributor, and only if You agree to indemnify,\n      defend, and hold each Contributor harmless for any liability\n      incurred by, or claims asserted against, such Contributor by reason\n      of your accepting any such warranty or additional liability.\n\n   END OF TERMS AND CONDITIONS\n\n   APPENDIX: How to apply the Apache License to your work.\n\n      To apply the Apache License to your work, attach the following\n      boilerplate notice, with the fields enclosed by brackets \"{}\"\n      replaced with your own identifying information. (Don't include\n      the brackets!)  The text should be enclosed in the appropriate\n      comment syntax for the file format. We also recommend that a\n      file or class name and description of purpose be included on the\n      same \"printed page\" as the copyright notice for easier\n      identification within third-party archives.\n\n   Copyright {yyyy} {name of copyright owner}\n\n   Licensed under the Apache License, Version 2.0 (the \"License\");\n   you may not use this file except in compliance with the License.\n   You may obtain a copy of the License at\n\n       http://www.apache.org/licenses/LICENSE-2.0\n\n   Unless required by applicable law or agreed to in writing, software\n   distributed under the License is distributed on an \"AS IS\" BASIS,\n   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   See the License for the specific language governing permissions and\n   limitations under the License.","ref":"license.html"},{"type":"extras","title":"InetCidr Changelog","doc":"# InetCidr Changelog","ref":"changelog.html"},{"type":"extras","title":"Version: 1.0.7 (2024-01-10) - InetCidr Changelog","doc":"```\nCode: Updated `calc_end_address/1` to return `{:ok, address}` or `{:error, reason}` tuple.\nCode: Added `cal_end_address!/1`\nMisc: Added Cheatsheet\nDocs: Updated README to not use deprecated functions\n```","ref":"changelog.html#version-1-0-7-2024-01-10"},{"type":"extras","title":"Version: 1.0.6 (2024-01-10) - InetCidr Changelog","doc":"```\n- Deprecated: InetCidr.parse/1 (Use InetCidr.parse_cidr!/1 instead)\n- Deprecated: InetCidr.parse/2 (Use InetCidr.parse_cidr!/2 instead)\n- Code: Added InetCidr.parse_cidr/2\n- Code: Added InetCidr.parse_cidr!/2\n- Code: Added InetCidr.parse_address/1 which complements the existing InetCidr.parse_address!/1\n```","ref":"changelog.html#version-1-0-6-2024-01-10"},{"type":"extras","title":"Version: 1.0.5 (2024-01-09) - InetCidr Changelog","doc":"```\n- Compiler warnings: Fixed deprecation warning for `use Bitwise`\n- Compiler warnings: Fixed deprecation warning for `use Config`\n- Dependencies: Updated `ex_doc` version\n```","ref":"changelog.html#version-1-0-5-2024-01-09"},{"type":"extras","title":"Version: 1.0.4 (2018-08-30) - InetCidr Changelog","doc":"```\n- Bugfix: Fix pattern match to use `48` instead of `49`\n```","ref":"changelog.html#version-1-0-4-2018-08-30"},{"type":"extras","title":"Version: 1.0.3 (2018-08-08) - InetCidr Changelog","doc":"```\n- Compiler warnings: Replace `String.to_char_list` with `String.to_charlist` to fix compiler warning\n```","ref":"changelog.html#version-1-0-3-2018-08-08"},{"type":"extras","title":"Version: 1.0.2 (2017-02-03) - InetCidr Changelog","doc":"```\n- Misc: Update `contributors` to `maintainers` in mix.exs\n- Dependencies: Update `ex_doc` version used for documenation generation\n- Compiler Warnings: In mix.exs to use parens in function calls to fix compiler warnings\n```","ref":"changelog.html#version-1-0-2-2017-02-03"},{"type":"extras","title":"Version: 1.0.1 (2015-07-17) - InetCidr Changelog","doc":"```\n- Code: Fix hard coded bmask to use `rem` (no behavioral change)\n- Misc: Update description in mix.exs to remove unnecessary text\n```","ref":"changelog.html#version-1-0-1-2015-07-17"},{"type":"extras","title":"Version: 1.0.0 (2015-07-17) - InetCidr Changelog","doc":"```\n- Initial release 🎉\n```","ref":"changelog.html#version-1-0-0-2015-07-17"},{"type":"extras","title":"InetCidr Cheatsheet","doc":"# InetCidr Cheatsheet","ref":"cheatsheet.html"},{"type":"extras","title":"Parse a CIDR block - InetCidr Cheatsheet","doc":"This works for IPv4 and IPv6 CIDR blocks. There is also `parse_cidr!/1`.\n\n```elixir\niex> InetCidr.parse_cidr(\"192.168.0.0/16\")\n{:ok, {{192,168,0,0}, {192,168,255,255}, 16}}\n```","ref":"cheatsheet.html#parse-a-cidr-block"},{"type":"extras","title":"Parse an IP Address - InetCidr Cheatsheet","doc":"This works for IPv4 and IPv6 addresses. There is also `parse_address!/1`.\n\n```elixir\niex> InetCidr.parse_address(\"192.168.15.20\")\n{:ok, {192,168,15,20}}\n```","ref":"cheatsheet.html#parse-an-ip-address"},{"type":"extras","title":"Get the string representation of a CIDR block - InetCidr Cheatsheet","doc":"This works for IPv4 and IPv6 addresses.\n\n```elixir\niex> \"192.168.0.0/16\" |> InetCidr.parse_cidr! |> InetCidr.to_string\n\"192.168.0.0/16\"\n```","ref":"cheatsheet.html#get-the-string-representation-of-a-cidr-block"},{"type":"extras","title":"Get the end of a CIDR block - InetCidr Cheatsheet","doc":"This works for IPv4 and IPv6 addresses. There is also `calc_end_address!/2`.\n\n```elixir\niex> InetCidr.calc_end_address({192, 168, 0, 0}, 16)\n{:ok, {192, 168, 255, 255}}\n```","ref":"cheatsheet.html#get-the-end-of-a-cidr-block"},{"type":"extras","title":"Check if an address is in a CIDR block - InetCidr Cheatsheet","doc":"This works for IPv4 and IPv6 addresses.\n\n```elixir\niex> cidr = InetCidr.parse_cidr!(\"192.168.0.0/16\")\n{{192,168,0,0}, {192,168,255,255}, 16}\n\niex> address1 = InetCidr.parse_address!(\"192.168.15.20\")\n{192,168,15,20}\n\niex> InetCidr.contains?(cidr, address1)\ntrue\n```","ref":"cheatsheet.html#check-if-an-address-is-in-a-cidr-block"}],"content_type":"text/markdown"}